Subject: Re: bug#26037: 25.1; perl-mode add syntax support for subroutine signatures

From: [email-masked]
Date: Sat, 18 Mar 2017 11:58:46 -0400

Евгени Колев <[email-masked]> writes:

>
> After giving some thought to this, I think we can instead
> make the regex more strict so that it matches only the
> allowed characters in perl's prototypes. The allowed chars
> are: $%&*;@[\]
>
> This is what I have in mind - diff is pasted below.
> However, please note the change below doesn't handle
> these 3 chars [ / ]  I'll add them if you think this is the correct
> approach:

Yeah, that looks right to me (although I don't know perl very well).